Bug 888800 - MEmory leak in new memcache initgr cleanup function
MEmory leak in new memcache initgr cleanup function
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.4
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
:
Depends On:
Blocks: 888819 895654
  Show dependency treegraph
 
Reported: 2012-12-19 09:10 EST by Dmitri Pal
Modified: 2013-02-21 04:42 EST (History)
4 users (show)

See Also:
Fixed In Version: sssd-1.9.2-55.el6
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Story Points: ---
Clone Of:
: 888819 (view as bug list)
Environment:
Last Closed: 2013-02-21 04:42:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2012-12-19 09:10:23 EST
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1730

a user in the #sssd channel reported a valgrind output that led me to find out a glaring memory leak in the new feature we introduced to clean up the mem cache on initgroups calls.
Comment 1 Jakub Hrozek 2012-12-19 11:02:04 EST
To reproduce, set up a large group. Start the sssd and note the sssd_nss memory consumption.

Then run:
for i in `getent group $largegroup | tr ',' ' '`; do id $i; done

And watch the memory consumption grow gradually.
Comment 3 Kaushik Banerjee 2013-01-22 14:03:27 EST
Verified in version 1.9.2-74

Memory consumption on id lookup of every 1000 users in KB is:
After first 1000: 17124
Next 1000       : 23320
Next 1000       : 18860
Next 1000       : 17640
Next 1000       : 20996

Overall 3MB increase in memory consumption.
Comment 4 errata-xmlrpc 2013-02-21 04:42:48 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html

Note You need to log in before you can comment on or make changes to this bug.